Get a repository's actions runner registration token
POST
/repos/{owner}/{repo}/actions/runners/registration-token
const url = 'https://gitea.example.com/api/v1/repos/example/example/actions/runners/registration-token';const options = {method: 'POST', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.example.com/api/v1/repos/example/example/actions/runners/registration-token \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Responses
Section titled “Responses”RegistrationToken is response related to registration token
Media typeapplication/json
Headers
Section titled “Headers”token
string